﻿namespace EditorDialogWithDatePicker.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using EditorDialogWithDatePicker.Models;

    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var people = new List<Person>()
            {
                new Person
                {
                    Id = 1,
                    Name = "John Doe",
                    BirthDate = new DateTime(1982, 4, 14),
                    Address = new Address
                    {
                        Street = "502 avenue"
                    }
                },
                new Person
                {
                    Id = 2,
                    Name = "Jane Doe",
                    BirthDate = new DateTime(1989, 3, 15),
                    Address = new Address
                    {
                        Street = "503 avenue"
                    }
                }
            };

            return View(people.AsQueryable());
        }

        public ActionResult SaveData()
        {
            return null;
        }
    }
}